<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."error_reports/infusion_db.php";
// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."error_reports/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."error_reports/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."error_reports/locale/English.php";
}

// Infusion general information
$inf_title = $locale['err100'];
$inf_version = "2.2";
$inf_developer = "spiker";
$inf_weburl = "http://www.sib-fusion.ru";
$inf_folder = "error_reports"; // The folder in which the infusion resides.

$inf_newtable[1] = DB_ERROR_REPORTS." (
error_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
error_user SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
error_summary VARCHAR(200) DEFAULT '' NOT NULL,
error_url VARCHAR(200) NOT NULL,
error_description TEXT NOT NULL,
error_response TEXT NOT NULL,
error_status VARCHAR(100) NOT NULL DEFAULT '',
error_datestamp INT(10) UNSIGNED DEFAULT '0' NOT NULL,
PRIMARY KEY (error_id)
) ENGINE=MyISAM;";

$inf_droptable[1] = DB_ERROR_REPORTS;

$inf_adminpanel[1] = array(
	"title" => $locale ['err100'],
	"image" => "image.gif",
	"panel" => "admin.php",
	"rights" => "ERR"
);

$inf_sitelink[1] = array(
	"title" => $locale ['err100'],
	"url" => "index.php",
	"visibility" => "0"
);
?>